function h_int = lte_crs_interp_hest( h_crs )
% Interpolate channel estimate to non-CRS subcarriers
% Input:
%    h_crs  - vector of size 2*N_PRB that contains channel estimates
%             determined from CRS for a given antenna port
% Output:  
%    h_int  - vector of interpolated channel estimates of size 12*N_PRB

N_PRB = length( h_crs ) / 2;
h_int = zeros( 12*N_PRB, 1);

for n = 0 : N_PRB-1
    h_int( n*12+1:(n+1)*12 ) = mean( h_crs(2*n+1:2*n+2) );
end