% return symbol identifiers in a subframe that conveys CRS transmission on a given antenna port 

function l_crs = lte_crs_symbols(p, slot, cyclic_prefix)
  assert(ismember(p, 0:3), 'up to 4 antenna layers are supported');

  if strcmp(cyclic_prefix, 'normal')
    if p == 0 || p == 1
      l_crs = [0, 4];
    elseif mod(slot, 2) == 1
      l_crs = [1];
    else
      l_crs = [];
    end
  elseif strcmp(cyclic_prefix, 'extended')
    if p == 0 || p == 1
      l_crs = [0, 3];
    elseif mod(slot, 2) == 1
      l_crs = [1];
    else
      l_crs = [];
    end
  else
    display(sprintf('Cyclic prefix configuration %s not supported.', cyclic_prefix));
  end
end