function d = lte_eq_and_demap_tx_div( y, h_est )

N_ant = size(h_est, 2);

if N_ant == 1
    
   d = y ./ h_est;
   
elseif N_ant == 2
    
 % initialization  
   M_ap_symb = size(y, 1);
   M_layer_symb = M_ap_symb / 2;
   x = zeros(M_layer_symb,2);
    
 % de-precode and equalize using Alamouti scheme
   for n = 0 : M_layer_symb-1
       h_pow    = abs( h_est(n*2+0+1,1) )^2 + abs( h_est(n*2+0+1,2) )^2;

       x(n+1,1) = (conj(h_est(n*2+1,1))*y(n*2+1) + h_est(n*2+1,2)*conj(y(n*2+2))) / h_pow;
       x(n+1,2) = conj(-conj(h_est(n*2+1,2))*y(n*2+1) + h_est(n*2+1,1)*conj(y(n*2+2))) / h_pow;
   end

 % 3 dB gain to get uniform power of constellation points (due to Transmit Diversity)
   x = sqrt(2) * x';

 % 6.3.3.3: layer demapping
   d = x(:);
else
    display(sprintf('TX diversity configuration with %1d layers not supported', N_ant));
end

end