% TS36.211 sec. 6.11.2.1
% Performs detection of N_SSS_ID and subframe number based on received
% SSS sequence.

function [N_SSS_ID, subframe, R] = lte_sss_detect(rx_seq, N_PSS_ID)
  R = zeros(168, 2);

  % calculate correlation with each of 168*2 sequences
  for nid1 = 0 : 167
     [d_sf0, d_sf5] = lte_sss_gen(nid1, N_PSS_ID);

     R(nid1+1,1) = sqrt( abs( sum( rx_seq .* conj(d_sf0) ) .^2 ) );
     R(nid1+1,2) = sqrt( abs( sum( rx_seq .* conj(d_sf5) ) .^2 ) );
  end
  
  [v,i] = max(R.^2);

  if v(1) > v(2)
    subframe = 0;
    N_SSS_ID = i(1)-1;
  else
    subframe = 5;
    N_SSS_ID = i(2)-1;
  end
end